Method: legacySdk.uploadWebhookBlob

Full name: projects.locations.instances.legacySdk.uploadWebhookBlob

Uploads a webhook blob.

HTTP request

  • Upload URI, for media upload requests:
    POST https://{endpoint}/upload/v1alpha/{instance}/legacySdk:legacyUploadBlob
  • Metadata URI, for metadata-only requests:
    POST https://{endpoint}/v1alpha/{instance}/legacySdk:legacyUploadBlob

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The instance to upload the webhook blob for. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "environmentName": string,
  "destinationPath": string,
  "media": {
    object (Media)
  },
  "mediaInfo": {
    object (MediaRequestInfo)
  }
}
Fields
environmentName

string

Required. The environment name.

destinationPath

string

Required. The destination path.

media

object (Media)

Information representing the imported data

mediaInfo

object (MediaRequestInfo)

Metadata about the media upload request.

Response body

Response message for UploadWebhookBlob.

If successful, the response body contains data with the following structure:

JSON representation
{
  "mediaInfo": {
    object (MediaResponseInfo)
  }
}
Fields
mediaInfo

object (MediaResponseInfo)

Metadata about media upload response.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.legacySdk.update

For more information, see the IAM documentation.